#include <math.h>
#include <stdio.h>
#include <stdlib.h>

void mix(long *n, long r) { *n = *n ^ r; }
void prune(long *n) { *n = *n % 16777216; }

int main() {
  FILE *file = fopen("18.in", "r");
  if (!file) {
    perror("Unable to open file");
    return 1;
  }

  int size = 71;
  int **a = malloc(size * sizeof(int *));
  for (int i = 0; i < size; i++) {
    a[i] = malloc(size * sizeof(int));
  }

  if (!a) {
    perror("Memory allocation failed");
    fclose(file);
    return 1;
  }

  fclose(file);

  free(a);
  return 0;
}
